Get Session Widget
GET
/v1/portal/session/widget
const url = 'https://example.com/v1/portal/session/widget?return_to=&tenant_id=';const options = { method: 'GET', headers: {'X-Forwarded-Proto': '', 'X-Forwarded-Host': '', Host: ''}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/portal/session/widget?return_to=&tenant_id=' \ --header 'Host: ' \ --header 'X-Forwarded-Host: ' \ --header 'X-Forwarded-Proto: 'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”return_to
Return To
string
tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalSessionWidgetOut
object
subject_key
required
Subject Key
string
email
Email
string
principal_type
Principal Type
string
display_name
Display Name
string
avatar_url
Avatar Url
string
portal_url
Portal Url
string
profile_url
Profile Url
string
github_linked
Github Linked
boolean
github_username
Github Username
string
github_link_required
Github Link Required
boolean
github_link_start_url
Github Link Start Url
string
login_url
Login Url
string
logout_url
Logout Url
string
switch_account_url
Switch Account Url
string
Example
{ "email": "", "principal_type": "human", "display_name": "", "avatar_url": "", "portal_url": "", "profile_url": "", "github_linked": false, "github_username": "", "github_link_required": false, "github_link_start_url": "", "login_url": "", "logout_url": "", "switch_account_url": ""}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}